AbstractQoreProgramExternalData Class Referenceabstract

an abstract class for program-specific external data More...

`#include <QoreProgram.h>`

## Public Member Functions

virtual DLLEXPORT | ~AbstractQoreProgramExternalData ()
| Destroys the object. More...
virtual AbstractQoreProgramExternalData * | copy (QoreProgram *pgm) const =0
| For reference-counted classes, returns the same object with the reference count incremented. More...
virtual void | doDeref ()=0
| For non-reference counted classes, deletes the object immediately.
virtual void | init ()
| Called after copy() on the new object. More...

## Detailed Description

an abstract class for program-specific external data

This class can be used by binary modules to store custom data in a QoreProgram object

See also
  - QoreProgram::getExternalData()
  - QoreProgram::setExternalData()

Since
  Qore 0.8.13

## Constructor & Destructor Documentation

## ~AbstractQoreProgramExternalData()

virtual DLLEXPORT AbstractQoreProgramExternalData::~AbstractQoreProgramExternalData | ( |  | ) |

virtual

Destroys the object.

The base class implementation is empty

## Member Function Documentation

## copy()

virtual AbstractQoreProgramExternalData* AbstractQoreProgramExternalData::copy | ( | QoreProgram * | pgm | ) | const

pure virtual

For reference-counted classes, returns the same object with the reference count incremented.

This function is called for external data when a new program object is created that inherits the configuration of the parent.

The call is made after the child program has been completely set up.

Parameters

  pgm | the new (child) QoreProgram object after setup

Note
  this function is called with the program parse lock held; use init() for any operations that need to be called unlocked

## init()

virtual void AbstractQoreProgramExternalData::init | ( |  | ) |

virtual

Called after copy() on the new object.

The base class implementation is empty

Since
  Qore 1.0

The documentation for this class was generated from the following file:

- include/qore/QoreProgram.h